Update one serial

patch

/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/lines/{linesUniqID}/child/lotSerials/{LotSerialId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Order Lines resource and used to uniquely identify an instance of Order Lines. The client should not generate the hash key value. Instead, the client should query on the Order Lines collection resource in order to navigate to a specific instance of Order Lines to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Contains one of the following values: true or false. If true, then lot and serial lines are deleted during the patch or upsert operation. If false, then lot and serial lines aren't deleted. This is a transient attribute. Use this attribute only on an order line that includes an inventory transaction. This attribute doesn't have a default value.
  • Title: Revision Number
    Maximum Length: 120
    Value that identifies the item revision.
  • Title: From Serial Number
    Maximum Length: 120
    Starting serial number of a range of serial numbers.
  • Title: To Serial Number
    Maximum Length: 120
    Ending serial number of a range of serial numbers.
  • Concatenated segments for the locator flexfields from where the item is shipped from or received into.
  • Locator where the application ships or receives the item.
  • Title: Lot Number
    Maximum Length: 320
    Identifies the quantity for the item.
  • Quantity of lots and serials.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : salesOrdersForOrderHub-lines-lotSerials-item-response
Type: object
Show Source
  • Contains one of the following values: true or false. If true, then lot and serial lines are deleted during the patch or upsert operation. If false, then lot and serial lines aren't deleted. This is a transient attribute. Use this attribute only on an order line that includes an inventory transaction. This attribute doesn't have a default value.
  • Title: Revision Number
    Maximum Length: 120
    Value that identifies the item revision.
  • Title: From Serial Number
    Maximum Length: 120
    Starting serial number of a range of serial numbers.
  • Title: To Serial Number
    Maximum Length: 120
    Ending serial number of a range of serial numbers.
  • Links
  • Concatenated segments for the locator flexfields from where the item is shipped from or received into.
  • Locator where the application ships or receives the item.
  • Title: Lot Number
    Maximum Length: 320
    Identifies the quantity for the item.
  • Read Only: true
    Value that uniquely identifies the lot and serial.
  • Quantity of lots and serials.
  • Read Only: true
    Quantity of the lot for the item or service in the secondary unit of measure. This attribute is applicable when more than one unit of measure is used to measure and track the item.
  • Maximum Length: 50
    Value that uniquely identifies the lot and serial. The source application assigns this value.
Back to Top

Examples

This example describes how to update one serial.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/OrderKey/child/lines/linesUniqID/child/lotSerials/LotSerialId"

For example, use the following command:

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_unref_return_lotserial_01/child/lines/00020000000EACED00057708000110F085167F110000000EACED00057708000110F085167F12/child/lotSerials/300100187750163"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

You can achieve the same result with Create sales orders using the upsert-mode header parameter. Refer to the examples in the Create sales orders section to see how to update child resource in the existing order.

{ 
	"ItemSerialNumberFrom":"FROM10",
	"ItemSerialNumberTo":"TO10",
	"LocatorId":110,
	"LotNumber":"LOT10"
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{}
Back to Top